<a [routerLink]="['/listings']">Takaisin</a>
<br />
<h2 class="page-header">Lisää vahinkohavainto</h2>
<form (submit)="onAddSubmit()" #listingForm="ngForm">
  <!--Title-->
  <div class="form-group">
    <label for="title">Vahingon löytäjän nimi</label>
    <input class="form-control" type="text" [(ngModel)]="model.title" name="title" required #title="ngModel">
  </div>
  <!--Title - Alerts-->
  <div [hidden]="title.valid || title.pristine"
      class="alert alert-danger">
    Löytäjän nimi on pakolline.
  </div>
  <!--City-->
  <div class="form-group">
    <label for="city">Löytypaikka</label>
    <input class="form-control" type="text" [(ngModel)]="model.city" name="city" required #city="ngModel">
  </div>
  <!--City - Alerts-->
  <div [hidden]="city.valid || city.pristine"
      class="alert alert-danger">
    Löytypaikka on pakollinen
  </div>
  <!--Image-->
  <div class="form-gorup">
    <label>Valokuva</label>
    <input id="image" name="image" [(ngModel)]="image" type="file"><br />
  </div>
  <!--Image is not required-->
  <!--Owner-->
  <div class="form-group">
    <label for="owner">Vahinkopäivä</label>
    <input class="form-control" type="date" [(ngModel)]="model.owner" name="owner" required #owner="ngModel">
  </div>
  <!--Owner - alerts-->
  <div [hidden]="owner.valid || owner.pristine"
      class="alert alert-danger">
    Vahinkopäivä on pakollinen
  </div>
  <!--Bedrooms-->
  <div class="form-group">
    <label for="bedrooms">Pohjoiskoordinaatti (59000000-71000000) (huom. kokonaislukuna)</label>
    <input class="form-control" type="number" step="1" [(ngModel)]="model.bedrooms" name="bedrooms" required #bedrooms="ngModel" (ngModelChange)="validate($event)">
  <!--Bedrooms - Alerts-->
  <div [hidden]="bedrooms.valid || bedrooms.pristine"
      class="alert alert-danger">
    Pohjoiskoordinaatti on pakollinen
  </div>
  </div>
  <!--Bedrooms2-->
  <div class="form-group">
    <label for="bedrooms2">Itäkoordinaatti (19000000 - 31000000) (huom. kokonaislukuna)</label>
    <input class="form-control" type="number" step="1" [(ngModel)]="model.bedrooms2" name="bedrooms2" required #bedrooms2="ngModel" (ngModelChange)="validate2($event)">
  <!--Bedrooms - Alerts-->
  <div [hidden]="bedrooms2.valid || bedrooms2.pristine"
      class="alert alert-danger">
    Itäkoordinaatti on pakollinen
  </div>
  </div>
  <!--Type-->
  <div class="form-group">
    <label for="type">Porotyyppi</label>
    <select class="form-control" type="text" [(ngModel)]="model.type" name="type" required> 
      <option *ngFor="let type of types" [value]="type">{{type}}</option>
    </select>
  </div>
  <!--Type won't need alerts cause it's always required'-->
  <!--Price-->
  <div class="form-group">
    <label for="price">Kappalemäärä</label>
    <input class="form-control" type="number" min="0" step="1" [(ngModel)]="model.price" name="price" required #price="ngModel" (ngModelChange)="validate3($event)">
  <!--Bedrooms - Alerts-->
  <div [hidden]="price.valid || price.pristine"
      class="alert alert-danger">
    Kappalemäärä on pakollinen
  </div>
  </div>

  <!--Submit-->
  <input type="submit" value="submit" class="btn btn-success" [disabled]="!listingForm.form.valid">
</form>
<span style="color: white;">
<p>.</p>
<p>.</p>
</span>